#include "triangles.h"
#include "bits/stdc++.h"

using namespace std;

#ifdef OG_Matveychick1
bool local = 1;
#else
bool local = 0;
#endif


#define ret return
#define con continue
#define be(x) x.begin()
#define en(x) x.end()
#define all(x) be(x), en(x)
#define pb push_back
#define fi first
#define se second
#define ba(x) x.back()
#define pob pop_back
#define for0(i, n) for (ll i = 0; i < n; i++)
#define rfor0(i, n) for (ll i = n - 1; i >= 0; i--)
#define rep(i, a, n) for (ll i = a; i < n; i++)
#define for1(i, n) for (ll i = 1; i < n; i++)
#define rfor1(i, n) for (ll i = n - 1; i >= 1; i--)
#define sz(x) (ll) x.size()
#define rev reverse
#define rs resize
#define endl '\n'
#define lb lower_bound
#define ub upper_bound
#define mp make_pair
#define rsun(x) x.rs(unique(all(x)) - be(x))
#define ins insert
typedef long long ll;
typedef vector<ll> vll;
typedef pair<ll, ll> pll;
typedef vector<pair<ll, ll> > vpll;
typedef string str;
typedef set<ll> sll;
typedef vector<vector<ll> > vvll;
typedef set<pll> spll;
typedef vector<char> vc;
typedef vector<vector<char> > vvc;
typedef vector<str> vs;
typedef queue<ll> qll;

mt19937_64 rn(chrono::steady_clock::now().time_since_epoch().count());

ll rnd(ll l, ll r) {
    ret rn() % (r - l + 1) + l;
}


std::vector<std::vector<int> > solve(int n) {
    Triangle a(0, 1, 2);
    for (int i = 3; i < n; i++) {
        Triangle b = a, c = a, d = a;
        b.i = i;
        c.j = i;
        d.k = i;
        if (compare({b}, {a}) == 1) a = b;
        if (compare({c}, {a}) == 1) a = c;
        if (compare({d}, {a}) == 1) a = d;
    }
    return {{a.i, a.j, a.k}};
}
